Subject: Re: bug#2147: Default font in Emacs
From: Dan Nicolaescu <[email-masked]>
To: Herbert Euler <[email-masked]>
Cc: [email-masked]
Date: Sun, 1 Feb 2009 21:57:19 -0800 (PST)

Herbert Euler <[email-masked]> writes:

  > Package: Emacs
  > Version: 23.0.90.1
  >  
  > Because I prefer the FreeMono font to the default font provided, I
  > tweak it in my ~/.emacs like this:
  >  
  >   (let ((font (cond ((eq window-system 'w32)
  >                       "-outline-courier new-normal-r-normal-normal-16-120-96-96-c-*-fontset-auto2"
  >                      )
  >                      ((eq window-system 'x)
  >                       "FreeMono-13"
  >                      ))))
  >     (set-default-font font)
  >     (add-to-list 'default-frame-alist `(font . ,font)))
  >  
  > When I start emacs as a daemon:
  >  
  >   $ emacs --daemon
  >  
  > The cons cell added to `default-frame-alist' seems to be '(font
  > . nil). 

The bug is in your .emacs

C-h v window-system RET

Documentation:
Name of window system through which the selected frame is displayed.
The value is a symbol--for instance, `x' for X windows.
The value is nil if the selected frame is on a text-only-terminal.

When "emacs --daemon" starts there's no X frame.